# Created by pyp2rpm-3.3.2
%global pypi_name pysol-cards

Name:           python-%{pypi_name}
Version:        0.8.4
Release:        1%{?dist}
Summary:        Deal PySol FC Cards
License:        MIT
URL:            https://fc-solve.shlomifish.org/
Source0:        %{pypi_source pysol_cards}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pbr) >= 2
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)

%description
The pysol-cards python module allows the python developer to generate the
initial deals of some PySol FC games.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The pysol-cards python module allows the python developer to generate the
initial deals of some PySol FC games.

%prep
%autosetup -n pysol_cards-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
sed -i '/^#! \/usr\/bin\/env python$/d' pysol_cards/*.py

%build
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst doc/source/readme.rst
%{python3_sitelib}/pysol_cards
%{python3_sitelib}/pysol_cards-%{version}-py?.?.egg-info

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Mar 18 2019 Shlomi Fish <shlomif@cpan.org> 0.4.1-1
- Initial Fedora package based on the Mageia one.
